Bug 1886595 - [sig-cli] Kubectl client [k8s.io] Kubectl client-side validation should create/apply a valid CR with arbitrary-extra properties for CRD with partially-specified validation schema
Summary: [sig-cli] Kubectl client [k8s.io] Kubectl client-side validation should creat...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.2.z
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.2.z
Assignee: Maciej Szulik
QA Contact: zhou ying
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-08 20:43 UTC by Benjamin Gilbert
Modified: 2020-10-12 09:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
[sig-cli] Kubectl client [k8s.io] Kubectl client-side validation should create/apply a valid CR with arbitrary-extra properties for CRD with partially-specified validation schema
Last Closed: 2020-10-09 10:26:37 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Benjamin Gilbert 2020-10-08 20:43:42 UTC
test:
[sig-cli] Kubectl client [k8s.io] Kubectl client-side validation should create/apply a valid CR with arbitrary-extra properties for CRD with partially-specified validation schema 

is failing frequently in CI, see search results:
https://search.ci.openshift.org/?maxAge=168h&context=1&type=bug%2Bjunit&name=&maxMatches=5&maxBytes=20971520&groupBy=job&search=%5C%5Bsig-cli%5C%5D+Kubectl+client+%5C%5Bk8s%5C.io%5C%5D+Kubectl+client-side+validation+should+create%2Fapply+a+valid+CR+with+arbitrary-extra+properties+for+CRD+with+partially-specified+validation+schema

https://prow.ci.openshift.org/view/gs/origin-ci-test/logs/release-openshift-ocp-installer-e2e-gcp-4.2/1313996753745219584

fail [k8s.io/kubernetes/test/e2e/kubectl/kubectl.go:959]: Oct  8 01:07:18.957: failed to create CR {"kind":"E2e-test-kubectl-9824-crd","apiVersion":"kubectl-crd-test.k8s.io/v1","metadata":{"name":"test-cr"},"spec":{"bars":[{"name":"test-bar"}],"extraProperty":"arbitrary-value"}} in namespace --namespace=e2e-kubectl-1441: error running &{/usr/bin/kubectl [kubectl --server=https://api.ci-op-pmlqcqk4-ee183.origin-ci-int-gce.dev.openshift.com:6443 --kubeconfig=/tmp/admin.kubeconfig --namespace=e2e-kubectl-1441 create --validate=true -f -] []  0xc003f72580  error: error validating "STDIN": error validating data: ValidationError(E2e-test-kubectl-9824-crd.spec): unknown field "extraProperty" in io.k8s.kubectl-crd-test.v1.E2e-test-kubectl-9824-crd.spec; if you choose to ignore these errors, turn validation off with --validate=false
 [] <nil> 0xc003f1f410 exit status 1 <nil> <nil> true [0xc002663ea0 0xc002663ec8 0xc002663ed8] [0xc002663ea0 0xc002663ec8 0xc002663ed8] [0xc002663ea8 0xc002663ec0 0xc002663ed0] [0x95bdc0 0x95bef0 0x95bef0] 0xc003f51d40 <nil>}:
Command stdout:

stderr:
error: error validating "STDIN": error validating data: ValidationError(E2e-test-kubectl-9824-crd.spec): unknown field "extraProperty" in io.k8s.kubectl-crd-test.v1.E2e-test-kubectl-9824-crd.spec; if you choose to ignore these errors, turn validation off with --validate=false

error:
exit status 1

Comment 1 Maciej Szulik 2020-10-09 10:26:37 UTC
This was fixed in newer versions.

Comment 2 Benjamin Gilbert 2020-10-09 15:43:45 UTC
It's currently the third most failing test on 4.2 that doesn't have an open bug against it, so I expect you'll be seeing this again.  Maybe disable the test?

Comment 3 Maciej Szulik 2020-10-12 09:47:06 UTC
(In reply to Benjamin Gilbert from comment #2)
> It's currently the third most failing test on 4.2 that doesn't have an open
> bug against it, so I expect you'll be seeing this again.  Maybe disable the
> test?

I'm not sure we care that much about 4.2 at the time to go through the hassle of backporting the fix.


Note You need to log in before you can comment on or make changes to this bug.